-- jumppad lua

jumppad = entity:new()

function jumppad:data()

	local t = self.table
	
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .05, 0 )
		v.anim:stop()
	end

end

function jumppad:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			if boxCollide( v.hitbox, player.hitbox ) then
				player.inAir = false
				player.yvel = - 27
				v.animPlay = true
				v.anim:seek(2)
				particles:new( v.x + self.poX, v.y + self.poY, self.getColors() )
				s_jumppad:play()
			end
			
		end
		
		v.anim:update( dt )
		
		if v.animPlay then		
			v.anim:play()
			if v.anim:getCurrentFrame() == 1 then
				v.anim:stop()
				v.animPlay = false
			end
		end
	end

end

function jumppad:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			v.anim:draw( v.x , v.y + 2 )
		end
	end

end