-- platform lua

platform = class:new()
	
	--tiles a = 36 b = 37
	
function platform:init()

	local m = map
	self.A = {}
	self.B = {}
	self.table = {}
	
	for i,v in ipairs( m ) do
		if v.Type == 36 then
			table.insert( self.A, { x = v.x, y = v.y } )
		end
		
		if v.Type == 37 then
			table.insert( self.B, { x = v.x, y = v.y } )
		end
	end
	
	for i = 1, #self.A do
		table.insert( self.table, { x = self.A[i].x, y = self.A[i].y, w = 64, h = 16, direction = "right" , xvel = 50 } )
	end

end

function platform:update(dt)

	local t = self.table
	
	for i,v in ipairs( t ) do
	
		local hitbox = { x = v.x, y = v.y, w = v.w, h = v.h }

		if v.x + v.w > self.B[i].x + tile.size then v.direction = "left"
		elseif v.x < self.A[i].x then v.direction = "right"
		end
		
		if v.direction == "right" then
			v.x = v.x + v.xvel * dt
		else
			v.x = v.x - v.xvel * dt
		end
		
		if boxCollide( player.hitbox, hitbox ) then
		
			if player.y < v.y then
				player.floor = v.y + .01
			end
		
		end
	end
	
end

function platform:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		g.setColor( 255, 255, 255 )
		g.rectangle( "fill" , v.x, v.y, v.w, v.h )
	end
	
end