-- sign lua

sign = entity:new()

function sign:data()

	self.messages = {}

end

function sign:addMessage( _message, map )

	if currentmap == map then
		table.insert( self.messages, { message = _message } )
	end
	
end

function sign:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			v.displayMessage = false
			if boxCollide( v.hitbox, player.hitbox ) then
				if love.keyboard.isDown( "x" ) then
					v.displayMessage = true
				else
					player.actionAvailable = true
				end
			end
		end
	end
	
end

function sign:draw()

	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			g.draw( self.img, v.x, v.y )
			if v.displayMessage then
				g.setColor( 255, 255, 255, 255 )
				g.printf( self.messages[i].message, v.x - 106 + font_small:getHeight(), v.y - 70, 200, "center" )
			end
		end
	end

end