-- spikepad lua

spikepad = entity:new()

function spikepad:data()

	local t = self.table
	spikepad:setHitbox( 16, 24, 2 , 8 )
	self.timer = 0
	self.intervall = 1.5
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .06, 0 )
		v.anim:stop()
		v.reset = false
	end

end

function spikepad:reset()
	for i = 1, #self.table do
		self.table[i].anim:seek(1)
	end
	self.timer = .5
end

function spikepad:update(dt)
	
	local t = self.table
	self.timer = self.timer + dt
	for i = 1, #self.table do
		if self.timer > self.intervall then
			self.table[i].animPlay = true
			self.table[i].anim:seek(2)
			if self.table[#self.table].animPlay == true then
				self.timer = 0
			end
		end	
	end
	for i,v in ipairs( t ) do

		if visible(v) then
			if boxCollide( v.hitbox, player.hitbox ) and not v.reset and v.anim:getCurrentFrame() ~= 1 then
				particles:new( v.x + self.poX, v.y + self.poY, self.getColors() )
				player:applyDamage( self.damageValue )
				s_hurt:play()
				v.reset = true
			end
			
		end
		
		v.anim:update( dt )
		
		if v.animPlay then		
			v.anim:play()
			spikepad:setHitbox( 8, 2, tile.size - 16 , tile.size - 2 )
			if v.anim:getCurrentFrame() == 1 then
				v.anim:stop()
				v.animPlay = false
				v.reset = false
			end
		else 
			spikepad:setHitbox( 8, 24, tile.size - 16 , 8 )
		end
	end

end

function spikepad:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			v.anim:draw( v.x , v.y + 2 )
		end
	end

end