-- tile lua

tile = class:new()

function tile:init()

	local g = love.graphics
	
	self.table = {}
	self.size = 32
	
	tile.tileset = map.tileset
	
	tile.img = g.newImage( "gfx/".. tile.tileset .. ".png" )
	tile.img:setFilter( "nearest", "nearest" )
	local w, h = tile.img:getWidth(), tile.img:getHeight()
	local amount = h / self.size * w / self.size
	
	for i = 1, amount do
		local rowsize = w / self.size
		local row = math.floor( ( i - 1 ) / rowsize )
		local column = ( i - 1 ) % rowsize
		local tile = g.newQuad( column * self.size, row * self.size, self.size, self.size, w, h )
		table.insert(self.table, tile)
	end	

end
