-- torch lua

torch = entity:new()

function torch:data()

	local i = love.image
	local g = love.graphics
	self.id = i.newImageData(16, 16)
	
	for x = 0, 15 do
		for y = 0, 15 do
			self.id:setPixel(x, y, 255, 255, 255, 250)
		end
	end
	
	self.pImg = g.newImage( self.id )

	local t = self.table
	
	for i,v in ipairs( t ) do
		v.anim = newAnimation( self.img, tile.size, tile.size, .15, 0 )
		v.anim:seek( math.random( 1, 4 ) )
		v.p = g.newParticleSystem(self.pImg, 16)
		v.p:setEmissionRate(4)
		--p_torch:setLifetime(.1)
		v.p:setParticleLife(.5 )
		v.p:setRotation( 1, 200 )
		v.p:setSpeed( 10, 60 )
		v.p:setDirection( -90 * math.pi / 180 )
		v.p:setSizes( .5, .4, .3, .2, .1 )
		v.p:setSpread( 1 )
		v.p:setColors( 255, 255, 255, 50 )
		v.p:start()
	end

end

function torch:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		if visible(v) then
			v.anim:update( dt )
			v.p:update(dt)
		end
	end
	
end

function torch:draw()

	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255 )
			v.anim:draw( v.x, v.y )
			v.p:setPosition( v.x + v.w / 2, v.y + 4 )
			g.draw( v.p, 0, 0 )
		end
	end
	
end