-- water lua

water = entity:new()
	
function water:data()

	local t = self.table
	
	for i,v in ipairs( t ) do
		v.yvel = math.random( 5, 15 )
		v.tileY = v.y
	end

end

function water:update(dt)
	
	local t = self.table
	
	for i,v in ipairs( t ) do
		
		if player.hitbox ~= nil and boxCollide( v.hitbox, player.hitbox )  then
			particles:new( v.x + self.poX, v.y + self.poY, self.getColors() )
			player:applyDamage( self.damageValue )
		end
			
		if v.up and v.y >= v.tileY - 5 and not v.down then
			v.y = v.y - v.yvel * dt
		elseif not v.down then
			v.up = false
			v.down = true
		end
		
		if v.down and v.y <= v.tileY and not v.up then
			v.y = v.y + v.yvel * dt
		elseif not v.up then
			v.down = false
			v.up = true
		end
		
	end
	
end

function water:draw()
	
	local t = self.table
	local g = love.graphics
	
	for i,v in ipairs( t ) do
		if visible(v) then
			g.setColor( 255, 255, 255, 255 )
			g.draw( self.img, v.x, v.y )
		end
	end
	
end